package cn.com.countrygarden.bi.main.dao.canteen;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.dto.*;

import cn.com.countrygarden.bi.main.model.canteen.CanteenInvestigate;
import cn.com.countrygarden.bi.main.model.canteen.CanteenScore;
import cn.com.countrygarden.bi.main.model.review.ReviewQuestionnaire;
/**
 * 调查表-数据层
 *
 * @author 吕伟峰
 * @email www.justintoforest@gamail.com
 * @url 
 * @date 2018-08-13
 */
public interface CanteenInvestigateMapper extends Mapper<CanteenInvestigate>{
	
	List<ReviewQuestionnairelistCanteenDTO> canteenrqdtolist(@Param("name") String name,
			@Param("hasRole") boolean hasRole, @Param("userCode") String userCode,@Param("investigationmanagementId")Integer investigationmanagementId);
	
	List<canteenInvestigationliebiaoDTO> canteentionliebli(canteenInvestigationliebiaoDTO canteentionliebiaoDTO);

	int updatecandiaoch(CanteenInvestigate canteenInvestigate);
	
	bdpsndocDTO bdpsndoc(@Param("bdid") String bdid);
	
	canteenInvestigationliebiaoDTO canteenInvesdati(@Param("questionnaireId") int questionnaireId,@Param("projectid") int projectid
			,@Param("canteeninsdid") int canteeninsdid,@Param("investigatagementid") int investigatagementid);
	
	List<ReviewQuestionnaireProblemVo> problemVo(@Param("questionnaireId") int questionnaireId,@Param("investigatagementid") int investigatagementid);
	
	List<ReviewQuestionnaireProblemVo> problemjianweVo(@Param("questionnaireId") int questionnaireId,@Param("investigatagementid") int investigatagementid);
	
	List<ReviewQuestionnaireProblemOptionVo> option(@Param("problemid") int problemid);
	
	int updateorgancode(@Param("id") int id,@Param("areaname") String areaname);
	
	int updatefindcomm(@Param("id") int id,@Param("projectname") String projectname);
	
}